
Infrastructure - Task #3366

Story # 3309 (Closed): get() downloads have inconsistent mime types and filenames

create Python ObjectFormatInfo class to provide mime lookup

2012-10-25 08:28 - Matthew Jones

Status: Closed Start date: 2012-10-25

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_libclient_python Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

We will use utility classes in libclient to provide a consistent lookup service to allow applications to find out the mime type and file

extension for formatIDs.  Create an ObjectFormatInfo class in Python that provides:

* a static singleton that can be called from anywhere in an application

* function to find the mime type based on a formt identifier string

* function to find the mime type based on an ObjectFormat instance

* function to find the extension based on a formt identifier string

* function to find the extension based on an ObjectFormat instance

* a default set of mapping data that ships with libclient as a CSV file

* the ability for calling applications to set a property (D1Client.resourcesDir) that determines where this CSV data file will live on disk

* the ObjectFormatInfo class should be able to reload itself at runtime, re-reading the CSV file so applications can refresh mappings

without a restart

History

#1 - 2012-10-25 17:11 - Roger Dahl

- Status changed from New to In Progress

#2 - 2012-10-25 23:04 - Roger Dahl

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

#3 - 2012-12-12 18:33 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#4 - 2013-03-01 19:09 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#5 - 2013-08-02 17:20 - Dave Vieglais

- Target version changed from 2013.12-Block.2.2 to 2013.35-Block.5.1

#6 - 2014-01-06 18:04 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.6-Block.1.3

#7 - 2014-03-14 18:47 - Roger Dahl

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#8 - 2014-09-24 18:28 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-1.4.2
#9 - 2014-09-25 16:47 - Dave Vieglais

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#10 - 2014-10-02 19:41 - Dave Vieglais

- Target version changed from CCI-1.5.0 to CCI-2.0.0

Powered by TCPDF (www.tcpdf.org)

2024-04-09 2/2

http://www.tcpdf.org

